Description

It would be nice to see all processes that are running on a certain host (including "all") in the monotorin overview. this would allow the
direct comparison of all components on one host and their possible realations (cpu usage at maximum/swapping/etc.). | am not sure if
this is possible, given the current process information in this dashboard but it would sure be helpful (especially for process analysis
and delegation on different hosts based on their usage).

History

#1 - 06/26/2015 03:12 PM - J. Wienke
- Category set to dashboards

#2 - 06/26/2015 03:23 PM - J. Wienke

Due to the fact that processes constantly roamed around different hosts, we excluded the host name from the processes series names to prevent
accumulating time series for every process on every node, where most of them are empty because they are relics. And top-level filtering completely
relies on the names of the series to display in the dashboard.

It might be possible to do the following:

Change the current process series name pattern from:

process.<processnames.<metrics...>

to

host.<hostname>.processes.<processname>.<metrics...>

Afterwards we add an option to the adapter which enters the data into the database to replace the hostname with a dummy like "_unknown_" for
setups where the deployment is volatile.

The important thing is that the amount of dots and their meaning remains the same in the series name. Otherwise, the dashboard cannot cope with
variations and we would have to provide different versions of the dashboards.

What do you think?

#3 - 12/12/2018 03:10 PM - J. Wienke
- Status changed from New to Rejected
